Skip to content

Get Work Agent

GET
/work/agents/{agent_id}

One Work agent. 403 when it is another person’s private agent.

Authorizations

Parameters

Path Parameters

agent_id
required

Agent id

string format: uuid

Agent id

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

One Work agent profile as the caller may see it.

object
agent_id
Any of:
string
avatar
Any of:
string
can_edit
Any of:
boolean
description
Any of:
string
name
Any of:
string
owner_id
Any of:
string
role
Any of:
string
updated_at
Any of:
string
version
Any of:
integer
visibility
Any of:
string
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string